Bug 1295255 - (php-container-interop) Review Request: php-container-interop - Promoting the interoperability of container objects (DIC, SL, etc.)
Review Request: php-container-interop - Promoting the interoperability of con...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: php-di-invoker php-di
  Show dependency treegraph
 
Reported: 2016-01-03 20:57 EST by Shawn Iwinski
Modified: 2016-01-24 20:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 16:56:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+


Attachments (Terms of Use)
phpci.log (2.44 KB, text/plain)
2016-01-04 02:38 EST, Remi Collet
no flags Details
review.txt (8.51 KB, text/plain)
2016-01-04 02:38 EST, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2016-01-03 20:57:16 EST
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/f4dd4274d09b5c96362c7b71c01169e0d5a9524b/php-container-interop/php-container-interop.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-container-interop-1.1.0-1.fc23.noarch.rpm

Description:
container-interop tries to identify and standardize features in container
objects (service locators, dependency injection containers, etc.) to achieve
interopererability.

Through discussions and trials, we try to create a standard, made of common
interfaces but also recommendations.

If PHP projects that provide container implementations begin to adopt these
common standards, then PHP applications and projects that use containers can
depend on the common interfaces instead of specific implementations. This
facilitates a high-level of interoperability and flexibility that allows users
to consume any container implementation that can be adapted to these interfaces.

The work done in this project is not officially endorsed by the PHP-FIG [1],
but it is being worked on by members of PHP-FIG and other good developers. We
adhere to the spirit and ideals of PHP-FIG, and hope this project will pave the
way for one or more future PSRs.

Autoloader: /usr/share/php/Interop/Container/autoload.php

[1] http://www.php-fig.org/


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2016-01-04 02:18:58 EST
Can you please fix path to src.rpm ?
Comment 2 Upstream Release Monitoring 2016-01-04 02:36:45 EST
remi's scratch build of php-container-interop-1.1.0-1.fc21.remi.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12399866
Comment 3 Remi Collet 2016-01-04 02:38 EST
Created attachment 1111368 [details]
phpci.log

phpCompatInfo version 5.0.0 DB built Dec 29 2015 09:34:25 CET static analyze results
Comment 4 Remi Collet 2016-01-04 02:38 EST
Created attachment 1111369 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -r -n /dev/shm/extras/SRPMS/php-container-interop-1.1.0-1.fc21.remi.src.rpm
Comment 5 Remi Collet 2016-01-04 02:39:15 EST
No blocker.

=== APPROVED ===
Comment 6 Shawn Iwinski 2016-01-04 12:11:00 EST
THANKS for the review!
Comment 7 Gwyn Ciesla 2016-01-04 12:14:21 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/php-container-interop
Comment 8 Fedora Update System 2016-01-07 15:03:07 EST
php-di-symfony2-bridge-1.1.0-1.fc22 php-di-5.2.0-1.fc22 php-di-invoker-1.2.0-1.fc22 php-mnapoli-phpunit-easymock-0.2.1-1.fc22 php-di-phpdoc-reader-2.0.1-1.fc22 php-container-interop-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d
Comment 9 Fedora Update System 2016-01-07 15:03:47 EST
php-di-symfony2-bridge-1.1.0-1.fc23 php-di-5.2.0-1.fc23 php-di-invoker-1.2.0-1.fc23 php-mnapoli-phpunit-easymock-0.2.1-1.fc23 php-di-phpdoc-reader-2.0.1-1.fc23 php-container-interop-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c
Comment 10 Fedora Update System 2016-01-07 15:03:49 EST
php-container-interop-1.1.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4
Comment 11 Fedora Update System 2016-01-08 16:19:17 EST
php-container-interop-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-63cd5fa5f4
Comment 12 Fedora Update System 2016-01-08 16:24:01 EST
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2cc24c1200
Comment 13 Fedora Update System 2016-01-08 23:25:27 EST
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7d61abd66d
Comment 14 Fedora Update System 2016-01-08 23:27:53 EST
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24c3e6b59c
Comment 15 Fedora Update System 2016-01-20 16:56:12 EST
php-container-interop-1.1.0-1.fc23, php-di-5.2.0-1.fc23, php-di-invoker-1.2.0-1.fc23, php-di-phpdoc-reader-2.0.1-1.fc23, php-di-symfony2-bridge-1.1.0-1.fc23, php-mnapoli-phpunit-easymock-0.2.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-20 23:48:58 EST
php-container-interop-1.1.0-1.fc22, php-di-5.2.0-1.fc22, php-di-invoker-1.2.0-1.fc22, php-di-phpdoc-reader-2.0.1-1.fc22, php-di-symfony2-bridge-1.1.0-1.fc22, php-mnapoli-phpunit-easymock-0.2.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2016-01-24 20:30:08 EST
php-container-interop-1.1.0-1.el7, php-di-5.2.0-1.el7, php-di-invoker-1.2.0-1.el7, php-di-phpdoc-reader-2.0.1-1.el7, php-di-symfony2-bridge-1.1.0-1.el7, php-mnapoli-phpunit-easymock-0.2.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-01-24 20:53:45 EST
php-container-interop-1.1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.